## org.apache.fop.image
Class ImageArea

    java.lang.Object
      |
      +--org.apache.fop.layout.Box
            |
            +--org.apache.fop.layout.Area
                  |
                  +--org.apache.fop.image.ImageArea

public class ImageArea
extends Area

Field Summary
`protected FopImage` `image`
`protected int` `xOffset`

Fields inherited from class org.apache.fop.layout.Area

`allocationWidth, backgroundColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderStyleBottom, borderStyleLeft, borderStyleRight, borderStyleTop, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, children, contentRectangleWidth, currentHeight, foCreator, fontState, maxHeight, paddingBottom, paddingLeft, paddingRight, paddingTop, page, tableCellXOffset`

Fields inherited from class org.apache.fop.layout.Box
`areaTree, parent`

Constructor Summary
`ImageArea(FontState fontState, FopImage img, int AllocationWidth, int width, int height, int startIndent, int endIndent, int align)`

Method Summary
`FopImage` `getImage()`
`int` `getImageHeight()`
`int` `getXOffset()`
`void` `render(Renderer renderer)`

Methods inherited from class org.apache.fop.layout.Area

`addChild, addChildAtStart, addDisplaySpace, end, getAbsoluteHeight, getAllocationWidth, getBackgroundColor, getChildren, getContentHeight, getContentWidth, getfoCreator, getFontInfo, getFontState, getHeight, getIDReferences, getMaxHeight, getNearestAncestorAreaContainer, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPage, getParent, getTableCellXOffset, increaseAbsoluteHeight, increaseHeight, remove, removeChild, removeChild, setAbsoluteHeight, setAllocationWidth, setBackgroundColor, setBorderColor, setBorderStyle, setBorderWidth, setHeight, setIDReferences, setMaxHeight, setPadding, setPage, setParent, setTableCellXOffset, spaceLeft, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### xOffset

    protected int xOffset

### image

    protected FopImage image

Constructor Detail

### ImageArea

    public ImageArea(FontState fontState,
                     FopImage img,
                     int AllocationWidth,
                     int width,
                     int height,
                     int startIndent,
                     int endIndent,
                     int align)

Method Detail

### getXOffset

    public int getXOffset()

### getImage

    public FopImage getImage()

### render

    public void render(Renderer renderer)

  Overrides:
    render in class Box

### getImageHeight

    public int getImageHeight()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.